Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.viewer
Interface IENLOCViewer

All Known Implementing Classes:
  ENLOCViewer

    public interface IENLOCViewer

Interfaz que implementa un visualizador de ENLOC.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.util.ArrayList<java.lang.String>` | `getLoggerTraceList()` Obtiene la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso
`void` | `setLoggerTraceList(java.util.ArrayList<java.lang.String> loggerList)` Establece la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso
`byte[]` | `view(byte[] inputDocument, java.lang.String module)` Visualiza el módulo indicado de un informe XBRL, dado mediante un array de bytes.
`void` | `view(java.lang.String inputPath, java.lang.String module, java.lang.String outputPath)` Visualiza el módulo indicado de un informe XBRL dado, dicho informe se encuentra en la ruta del sistema indicada en el parámetro inputPath.
`byte[]` | `viewXML(byte[] inputDocument, java.lang.String module)` Visualiza el módulo indicado de un informe en formato común (XML), dado mediante un array de bytes.
`void` | `viewXML(java.lang.String inputPath, java.lang.String module, java.lang.String outputPath)` Visualiza el módulo indicado de un informe en formato común (XML) dado, dicho informe se encuentra en la ruta del sistema indicada en el parámetro inputPath.

Method Detail

### view

    void view(java.lang.String inputPath,
              java.lang.String module,
              java.lang.String outputPath)
              throws ViewerException

  Visualiza el módulo indicado de un informe XBRL dado, dicho informe se encuentra en la ruta del sistema indicada en el parámetro inputPath. Para proporcionar la visualización genera un documento con formato html, devolviéndolo en la ruta del sistema indicada por el parámetro outputPath.

  Parameters:
    `inputPath` - ruta en la cual se encuentra el informe XBRL a visualizar
    `module` - módulo a visualizar
    `outputPath` - ruta en la cual se dejará el resultado
  Throws:
    `ViewerException` - - Si se produce un error durante el proceso de Visualización

### view

    byte[] view(byte[] inputDocument,
                java.lang.String module)
                throws XBRLENLOCException

  Visualiza el módulo indicado de un informe XBRL, dado mediante un array de bytes. Para proporcionar la visualización genera un documento con formato html devolviéndolo en un array de bytes.

  Parameters:
    `inputDocument` - array de bytes con el informe XBRL
    `module` - identificador del módulo a visualizar
  Returns:
    array de bytes con el documento html generado
  Throws:
    `ViewerException` - - Si se produce un error durante el proceso de Visualización
    `XBRLENLOCException`

### viewXML

    void viewXML(java.lang.String inputPath,
                 java.lang.String module,
                 java.lang.String outputPath)
                 throws ViewerException

  Visualiza el módulo indicado de un informe en formato común (XML) dado, dicho informe se encuentra en la ruta del sistema indicada en el parámetro inputPath. Para proporcionar la visualización genera un documento con formato html, devolviéndolo en la ruta del sistema indicada por el parámetro outputPath.

  Parameters:
    `inputPath` - ruta en la cual se encuentra el informe a visualizar
    `module` - módulo a visualizar
    `outputPath` - ruta en la cual se dejará el resultado
  Throws:
    `ViewerException` - - Si se produce un error durante el proceso de Visualización

### viewXML

    byte[] viewXML(byte[] inputDocument,
                   java.lang.String module)
                   throws ViewerException

  Visualiza el módulo indicado de un informe en formato común (XML), dado mediante un array de bytes. Para proporcionar la visualización genera un documento con formato html devolviéndolo en un array de bytes.

  Parameters:
    `inputDocument` - array de bytes con el informe
    `module` - identificador del módulo a visualizar
  Returns:
    array de bytes con el documento html generado
  Throws:
    `XBRLENLOCException`
    `ViewerException`

### getLoggerTraceList

    java.util.ArrayList<java.lang.String> getLoggerTraceList()

  Obtiene la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso

  Returns:
    ArrayList de String

### setLoggerTraceList

    void setLoggerTraceList(java.util.ArrayList<java.lang.String> loggerList)

  Establece la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso

  Parameters:
    `loggerList` - ArrayList de String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD